# SNESGetSolution

Returns the vector where the approximate solution is stored.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetSolution(SNES snes,Vec *x)

Not Collective, but Vec is parallel if SNES is parallel

### Input Parameter

snes - the SNES context

### Output Parameter

x - the solution

### Keywords

SNES, nonlinear, get, solution

### See Also

SNESSetSolution(), SNESGetFunction(), SNESGetSolutionUpdate()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex29.c.html